#!/usr/bin/env bash

BASEDIR="$( cd "$( dirname "$0" )" && pwd )"
cd "${BASEDIR}"

theme_list=""

for theme in edge gruvbox gruvbox-material everforest; do
    for variant in dark light auto; do
        theme-list="$theme_list,$theme-$variant"
        lessc -x "src/${theme}-${variant}.less" > "dist/theme-${theme}-${variant}.css"
    done
done

for theme in nord palenight soft-era sonokai sonokai-andromeda sonokai-atlantis sonokai-espresso sonokai-maia sonokai-shusia; do
        theme-list="$theme_list,$theme"
    lessc -x "src/${theme}.less" > "dist/theme-${theme}.css"
done

echo "themes=$theme_list" >> $GITHUB_OUTPUT
